/*Bluetooth Desklamp
 * Project: Bluetooth LED Desk Lamp v1
 * Hardware: Arduino Uno & HC-05 Compatible Bluetooth Module
 * Android App: RemoteXY  (http://remotexy.com/en/download/)
 * Arduino Library: RemoteXY 2.4.6 (https://remotexy.com/en/library/)
 * Software Platform: Arduino IDE 1.8.13 (Win10x64) & Android 10
 */

#define REMOTEXY_MODE__SOFTSERIAL
#include <SoftwareSerial.h>

#include <RemoteXY.h> 

 
#define REMOTEXY_SERIAL_RX 2
#define REMOTEXY_SERIAL_TX 3
#define REMOTEXY_SERIAL_SPEED 9600

 
#pragma pack(push, 1)
uint8_t RemoteXY_CONF[] =
  { 255,1,0,0,0,11,0,10,130,0,
  4,128,13,20,80,22,108,16 };
  

struct {

 
  int8_t slider_1;

  uint8_t connect_flag;  

} RemoteXY;
#pragma pack(pop)


#define PIN_SLIDER_1 9

void setup() 
{
  RemoteXY_Init (); 
  pinMode (PIN_SLIDER_1, OUTPUT);
  
  
}

void loop() 
{ 
  RemoteXY_Handler ();
  analogWrite(PIN_SLIDER_1, RemoteXY.slider_1*2.55);
  
}